<style>
    {literal}
        .red {color:red;}
        .comment {font-size: 0.8em; color:gray;}
        .previev {background-color: #FFF; border: 2px dashed #999; float: right; padding: 10px; width: 448px;}
        #previev_title, .title {font-size: 1.2em; text-decoration: underline;}
        #previev_title:hover, .title:hover {text-decoration: none;}
        .small {font-size: 0.7em; color: #666;}
        .small:hover {text-decoration: none;}
        table.adclicks tbody tr, table.adclicks tfoot tr {border-top: 1px dashed #999;}
        table.adclicks td {vertical-align: top;padding: 10px 0; text-align: center;}
        .adclicks img {padding-right: 10px;}
		#previev_img {margin-right: 5px;}
    {/literal}
</style>

{if $user_admin && $do=='moderation'}

    <div class="previev" style="margin-left: 20px;">
        <a href="{$ad_url}" id="previev_url" target="_blank" style="float: left;"><img alt="" src="{$ad_imgname}" id="previev_img"></a>
        <p><a href="{$ad_url}" id="previev_title" target="_blank">{$ad_title}</a></p>
        <p id="previev_announce">{$ad_announce}</p>
    </div>

    <h2>Модерация объявления</h2>
    <br />
    <p>Рекламируемая страница: <a href="{$ad_url}" target="_blank">{$ad_url}</a></p>
    <br />
    <p>Текущая ставка по этому объявлению: <strong>{$ad_bid} руб.</strong></p>
    <p>Баланс пользователя: <strong>{$ad_balance} руб.</strong></p>
    <br />
    <form enctype="multipart/form-data" action="/adclicks/moderation.html" method="POST">
        <input type="hidden" name="id" value="{$ad_id}">
        <input type="submit" style="font-size:18px" value="Одобрить" name="yes">
        <input type="submit" style="font-size:18px" value="Отклонить" name="no">
    </form>
{/if}

{if $user_id && $do=='index'}
<div class="float_bar" style="float:none;">
    Ваш баланс {$user_balance} руб.
    {if $user_balance > 49.99 && !$ad_pause}<a href="/adclicks/add.html">Добавить объявление</a>.{/if}
    {if $user_balance < 50 && !$ad_pause}Создавать объявления запрещено пока Ваш баланс менее 50 рублей.{/if}
    {if $ad_pause}Для возобновления показа объявлений необходимо пополнить баланс минимум до 50 рублей.{/if}
    {if $user_admin && $expiresLicense != 'Never'}<br/> Временная лицензия действительна до {$expiresLicense} года.
        <a href="http://anorekhov.e-autopay.com/order1/21" target="_blank">Купить</a>.{/if}
</div>

{if $user_admin && $moderation}
<div class="float_bar" style="background-color: #FFF8DB; border-color: red; float:none;">
    {if $moderation}Есть <a href="/adclicks/moderation.html">новые объявления</a> на проверку ({$moderation}).{/if}
</div>
{/if}

{if $user_ads}
    <table style="width: 100%;" class="adclicks">
        <thead>
            <tr>
                <td></td>
                <td><strong>Показов</strong></td>
                <td><strong>Переходов</strong></td>
                <td><strong>CTR</strong></td>
                <td><strong>Цена за переход</strong></td>
            </tr>
        </thead>
        <tbody>
            {foreach from=$user_ads item=ad}
                <tr{if !$ad.activity} style="background-color: #F5F5F5;" title="Объявление не запущено"{/if}{if !$ad.moderation} style="background-color: #FFF8DB;" title="Объявление на проверке"{/if}{if $ad.activity && $ad.moderation == 1} title="Активное объявление"{/if}{if $ad.activity && $ad.moderation == 2} style="background-color: #FFF8DB;" title="Объявление отклонено модератором!"{/if}>
                    <td style="text-align: left;  padding-left: 10px;">
                        <a href="/adclicks/edit{$ad.id}.html" class="small">Изменить</a> <span class="small">•</span>
                    {if $ad.activity}<a href="/adclicks/stop{$ad.id}.html" class="small" onclick="if(!confirm('Приостановить это объявление?'))return false;">Приостановить</a> <span class="small">•</span>{/if}
                {if !$ad.activity}<a href="/adclicks/start{$ad.id}.html" class="small" onclick="if(!confirm('Запустить это объявление?'))return false;">Запустить</a> <span class="small">•</span>{/if}
                <a href="/adclicks/del{$ad.id}.html" class="small" onclick="if(!confirm('Удалить это объявление?'))return false;">Удалить</a>
                <span class="small" style="color: #999;">(id={$ad.id})</span>
                <br />
                <a href="{$ad.url}" target="_blank" class="title">{$ad.title}</a><br />
                <a href="{$ad.url}" target="_blank" style="float: left;"><img alt="" src="/images/adclicks/medium/{$ad.photo}"></a>
                <p>{$ad.announce}</p>
            {if $ad.activity && $ad.moderation == 2}<br /><p style="color: red;">Объявление отклонено модератором!</p>{/if}
        </td>
        <td>{$ad.screenings}</td>
        <td>{$ad.clicks}</td>
        <td>{$ad.ctr}%</td>
        <td>
            {$ad.bid} руб.<br />
            <a href="/adclicks/bid{$ad.id}.html" class="small" title="Изменить цену за переход">Изменить</a>
        </td>
    </tr>
{/foreach}
</tbody>
<tfoot>
            <tr>
                <td></td>
                <td>Всего показов<br /><strong>{$sum_screenings}</strong></td>
                <td>Всего переходов<br /><strong>{$sum_clicks}</strong></td>
                <td>Средний CTR<br /><strong>{$avg_ctr}%</strong></td>
                <td>Средняя цена перехода<br /><strong>{$avg_bid} руб.</strong></td>
            </tr>
</tfoot>
</table>

{/if}

{if !$user_ads}
    <br />
    <h3>Вы еще не добавили объявления.</h3>
    <p>Сделайте это прямо сейчас!</p>
    <br />
    <p>Добавьте объявление, установите стоимость клика по нему, пополните балланс на нужную сумму и получайте заинтересованных посетителей на свой сайт.</p>
    <p>Рекомендуемая цена одного перехода по объявлению составляет {$ad_bid} рублей.</p>
{/if}

{/if}

{if $user_id && ($do=='add' || $do=='edit')}

    <div class="previev">
        <a id="previev_url" target="_blank" style="float: left;"><img alt="" src="{$ad_imgname}" id="previev_img"></a>
        <p><a id="previev_title" target="_blank"></a></p>
        <p id="previev_announce"></p>
    </div>

{if $do=='add'}<form enctype="multipart/form-data" action="/adclicks/add.html" method="POST">{/if}
{if $do=='edit'}<form enctype="multipart/form-data" action="/adclicks/edit{$ad_id}.html" method="POST">{/if}

    <p>
        <strong>Введите заголовок:</strong>
        <br />
        <input type="text" value="{$ad_title}" id="title" name="title" style="width: 300px;" onkeyup="limitText(this,'titleCount',75); document.getElementById('previev_title').innerHTML=this.value;"> <span id="titleCount">75</span>
        <br /><br />
    </p>

    <p>
        <strong>Введите текст объявления:</strong>
        <br />
        <textarea onkeyup="limitText(this,'announceCount',150); document.getElementById('previev_announce').innerHTML=this.value;" id="announce" name="announce" class="medium" cols="1" rows="4" style="width: 300px;">{$ad_announce}</textarea>
        <span id="announceCount" class="red">0</span>
        <br /><br />
    </p>

    <p>
        <strong>Укажите адрес рекламируемой страницы:</strong>
        <br />
        <input type="text" value="{$ad_url}"  onkeyup="document.getElementById('previev_url').href=document.getElementById('previev_title').href=this.value;" id="url" name="url" style="width: 300px;">
        <br /><br />
    </p>

    <p>
        <strong>Загрузите изображение:</strong>
        <br />
        <span class="comment">Минимальный размер изображения — 200х200</span>
        <br />
    <div id="infoImgError"></div>
    <iframe scrolling="no" frameborder="0" style="height: 40px;" src="/components/adclicks/loadimg.php"></iframe>
    </p>

    <p>
        <strong>Укажите цену за переход:</strong>
        <br />
        <span class="comment">Чем выше цена за переход по объявлению и его CTR, тем больше переходов по этому объявлению вы сможете получать.</span>
        <br />
        <input type="text" value="{$ad_bid}" id="bid" name="bid" style="width: 300px;"> <span class="comment">Рекомендуемая ставка, руб.:</span> {$ad_bid_rec}
        <br /><br />
    </p>

    <p style="margin-top:15px">
        <input type="hidden" name="imgname" value="{$ad_img}" id="imgname">
        <input type="hidden" name="var1" value="{$ad_var1}">
        <input type="hidden" name="var2" value="{$ad_var2}">
        <input type="hidden" name="var3" value="{$ad_var3}">
        <input type="hidden" name="var4" value="{$ad_var4}">
        <input type="hidden" name="var5" value="{$ad_var5}">
    {if $do=='add'}<input type="submit" style="font-size:18px" value="Добавить объявление" name="submit"> {/if}
{if $do=='edit'}<input type="submit" style="font-size:18px" value="Сохранить изменения" name="submit"> {/if}
<input type="button" onclick="window.history.go(-1)" style="font-size:18px" value="Отмена" name="back">
</p>

</form>

<script type='text/javascript'>
    {literal}
    function limitText(limitField, limitCountId, limitNum) {
        if (limitCount = document.getElementById(limitCountId)) {
            if (limitField.value.length > limitNum) {
                    limitField.value = limitField.value.substring(0, limitNum);
            } else {
                    limitCount.innerHTML = limitNum - limitField.value.length;
            }

            if (limitField.value.length > limitNum-16) {
                    limitCount.className = 'red';
            } else {
                    limitCount.className = '';
            }
        }
    }

    limitText(document.getElementById('title'), 'titleCount', 75);
    limitText(document.getElementById('announce'), 'announceCount', 150);
    document.getElementById('previev_title').innerHTML=document.getElementById('title').value;
    document.getElementById('previev_announce').innerHTML=document.getElementById('announce').value;
    document.getElementById('previev_url').href=document.getElementById('previev_title').href=document.getElementById('url').value;
    {/literal}
</script>

{/if}

{if $user_id && $do=='bid'}

    <div class="previev" style="margin-left: 20px;">
        <a href="{$ad_url}" id="previev_url" target="_blank" style="float: left;"><img alt="" src="{$ad_imgname}" id="previev_img"></a>
        <p><a href="{$ad_url}" id="previev_title" target="_blank">{$ad_title}</a></p>
        <p id="previev_announce">{$ad_announce}</p>
    </div>

    <form enctype="multipart/form-data" action="/adclicks/bid{$ad_id}.html" method="POST">

    <h3>Изменение цены</h3>
    <br />
    <p>Для того, чтобы трансляция была эффективной, вы можете установить новую цену за переход по этому объявлению.</p>
    <br />
    <p><strong>Рекомендуемая цена — {$ad_bid_rec} руб.</strong></p>
    <br />
    <p>Цена за переход: <input type="text" style="width: 100px;" name="bid" id="bid" value="{$ad_bid}"></p>
    <br />
    <p>Чем выше цена за переход по объявлению и его CTR, тем больше переходов по этому объявлению вы сможете получать.</p>
    <br />
    <input type="submit" style="font-size:18px" value="Сохранить изменения" name="submit">
    <input type="button" onclick="window.history.go(-1)" style="font-size:18px" value="Отмена" name="back">

    </form>

{/if}