<?php

// ========================================================================== //
//                                                                            //
//                                AdClicks, v1.0                              //
//                                                                            //
//                      Copyright (C) 2013 Preventiva LLC                     //
//                     http://www.instantcms.ru/users/Anor                    //
//                                                                            //
// ========================================================================== //

if (!defined('VALID_CMS')) {
    die('ACCESS DENIED');
}

function routes_adclicks() {

    $routes[] = array(
        '_uri'  => '/^adclicks\/add.html$/i',
        'do'    => 'add'
    );

    $routes[] = array(
        '_uri'  => '/^adclicks\/moderation.html$/i',
        'do'    => 'moderation'
    );

    $routes[] = array(
        '_uri'  => '/^adclicks\/del([0-9]+).html$/i',
        'do'    => 'del',
        1       => 'id'
    );

    $routes[] = array(
        '_uri'  => '/^adclicks\/start([0-9]+).html$/i',
        'do'    => 'start',
        1       => 'id'
    );

    $routes[] = array(
        '_uri'  => '/^adclicks\/stop([0-9]+).html$/i',
        'do'    => 'stop',
        1       => 'id'
    );

    $routes[] = array(
        '_uri'  => '/^adclicks\/edit([0-9]+).html$/i',
        'do'    => 'edit',
        1       => 'id'
    );

    $routes[] = array(
        '_uri'  => '/^adclicks\/bid([0-9]+).html$/i',
        'do'    => 'bid',
        1       => 'id'
    );

    $routes[] = array(
        '_uri'  => '/^adclicks\/(.+)_([0-9]+).html$/i',
        'do'    => 'go',
        1       => 'acf',
        2       => 'id'
    );

    return $routes;
}

?>
